DataPoint (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.server.session.DataPoint class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.server.session
Class DataPoint

    java.lang.Object
      org.hyperic.hq.measurement.server.session.DataPoint

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MeasDataPoint, ResourceDataPoint

    public class DataPoint

extends java.lang.Object
implements java.io.Serializable

This object encapsulates all the information needed to call {@link DataManagerEJBImpl#addData(java.util.List, boolean)

See Also:
  Serialized Form

Constructor Summary
`DataPoint(int metricId, double val, long timestamp)`
`DataPoint(java.lang.Integer metricId, MetricValue val)`

Method Summary
`boolean` | `equals(java.lang.Object rhs)` Determines if metricId && timestamps match (not value)
`java.lang.Integer` | `getMetricId()`
`MetricValue` | `getMetricValue()`
`long` | `getTimestamp()`
`double` | `getValue()`
`int` | `hashCode()` Checks if metricId && timestamp hashCodes match (not value)
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataPoint

    public DataPoint(int metricId,
                     double val,
                     long timestamp)

### DataPoint

    public DataPoint(java.lang.Integer metricId,
                     MetricValue val)

Method Detail

### getMetricId

    public java.lang.Integer getMetricId()

### getMetricValue

    public MetricValue getMetricValue()

### getValue

    public double getValue()

### getTimestamp

    public long getTimestamp()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Checks if metricId && timestamp hashCodes match (not value)

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object rhs)

  Determines if metricId && timestamps match (not value)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.